Subject: bug#48661: reproducibility: build date in modus-themes.info

From: Kévin Le Gouguec <[email-masked]>
Date: Wed, 26 May 2021 12:22:22 +0200

Glenn Morris <[email-masked]> writes:

>    This manual was built on {{{export-date}}}.
>
> This makes the generated info file non-reproducible (different every build).
> Please consider removing this information.

Question from the peanut gallery: are timestamp information really
verboten in reproducible builds?  I was led to believe that the
SOURCE_DATE_EPOCH mechanism was introduced to allow programs to keep
embedding this information, while giving packagers the means to assert
reproducibility.

https://reproducible-builds.org/docs/source-date-epoch/

I am not well-versed on the subject of reproducible builds, so I
apologize if I am misunderstanding the state of things; also, since I
don't think the Emacs build system uses the SOURCE_DATE_EPOCH mechanism,
I realize that this idea might be out of scope for this bug report…